/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "gametime.h"

gametime_t TIME_STATE;

void gameTimeInit() {
  TIME_STATE.delta = GAMETIME_STEP;
  TIME_STATE.last = GAMETIME_STEP;
  TIME_STATE.current = GAMETIME_STEP + GAMETIME_STEP;
}

void gameTimeUpdate() {
  TIME_STATE.last = TIME_STATE.current;
  TIME_STATE.current = TIME_STATE.current + GAMETIME_STEP;
  TIME_STATE.delta = TIME_STATE.current - TIME_STATE.last;
}