/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "player.h"

void playerInit(entityid_t id, entity_t *entity) {
}

void playerUpdate(entityid_t id, entity_t *entity) {
  if(inputIsPressed(INPUT_UP)) {
    entityCommonMove(id, entity, 0, 1, 0);
  } else if(inputIsPressed(INPUT_DOWN)) {
    entityCommonMove(id, entity, 0, -1, 0);
  } else if(inputIsPressed(INPUT_LEFT)) {
    entityCommonMove(id, entity, -1, 0, 0);
  } else if(inputIsPressed(INPUT_RIGHT)) {
    entityCommonMove(id, entity, 1, 0, 0);
  }

  // Render sprite
  entityCommonRender(id, entity);
}

void playerDispose(entityid_t id, entity_t *entity) {
}